## visad
Class VisADGroup

    java.lang.Object
      visad.VisADSceneGraphObject
          visad.VisADGroup

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VisADSwitch

public class VisADGroup
extends VisADSceneGraphObject

VisADGroup stands in for j3d.Group and is Serializable.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.VisADSceneGraphObject
`parent`

Constructor Summary
`VisADGroup()`

Method Summary
`void` `addChild(VisADSceneGraphObject child)`
`(package private) void` `detachChild(VisADSceneGraphObject child)`
`VisADSceneGraphObject` `getChild(int index)`
`Vector` `getChildren()`
`int` `numChildren()`
`void` `removeChild(int index)`
`void` `setChild(VisADSceneGraphObject child, int index)`
`String` `toString()`

Methods inherited from class visad.VisADSceneGraphObject
`detach`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VisADGroup

    public VisADGroup()

Method Detail

### addChild

    public void addChild(VisADSceneGraphObject child)
                  throws DisplayException

  Throws:
    `DisplayException`

### numChildren

    public int numChildren()

### getChild

    public VisADSceneGraphObject getChild(int index)

### setChild

    public void setChild(VisADSceneGraphObject child,
                         int index)
                  throws DisplayException

  Throws:
    `DisplayException`

### removeChild

    public void removeChild(int index)

### detachChild

    void detachChild(VisADSceneGraphObject child)

### getChildren

    public Vector getChildren()

### toString

    public String toString()